xine-lib: xine-lib-1.2.13/src/post/goom/goomsl_hash.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Typedefs | Functions
goomsl_hash.h File Reference

Go to the source code of this file.

## Data Structures
union | HashValue
struct | GOOM_HASH_ENTRY
struct | GOOM_HASH

## Typedefs
typedef struct GOOM_HASH_ENTRY | GoomHashEntry
typedef struct GOOM_HASH | GoomHash
typedef void(* | GH_Func) (GoomHash *caller, const char *key, HashValue *value)

## Functions
GoomHash * | goom_hash_new (void)
void | goom_hash_free (GoomHash *gh)
void | goom_hash_put (GoomHash *gh, const char *key, HashValue value)
HashValue * | goom_hash_get (GoomHash *gh, const char *key)
void | goom_hash_put_int (GoomHash *_this, const char *key, int i)
void | goom_hash_put_float (GoomHash *_this, const char *key, float f)
void | goom_hash_put_ptr (GoomHash *_this, const char *key, void *ptr)
void | goom_hash_for_each (GoomHash *_this, GH_Func func)
int | goom_hash_number_of_puts (GoomHash *_this)

## Typedef Documentation

## ◆ GH_Func

typedef void(* GH_Func) (GoomHash *caller, const char *key, HashValue *value)

## ◆ GoomHash

typedef struct GOOM_HASH GoomHash

## ◆ GoomHashEntry

typedef struct GOOM_HASH_ENTRY GoomHashEntry

## Function Documentation

## ◆ goom_hash_for_each()

void goom_hash_for_each | ( | GoomHash * | _this,
|  | GH_Func | func )

References _goom_hash_for_each(), and GOOM_HASH::root.

## ◆ goom_hash_free()

void goom_hash_free | ( | GoomHash * | gh | ) |

References entry_free(), and GOOM_HASH::root.

Referenced by gsl_free(), iflow_clean(), iflow_free(), and reset_scanner().

## ◆ goom_hash_get()

HashValue * goom_hash_get | ( | GoomHash * | gh,
|  | const char * | key )

References entry_get(), key, NULL, and GOOM_HASH::root.

Referenced by calculate_labels(), gsl_bind_function(), gsl_declare_external_task(), gsl_declare_task(), gsl_enternamespace(), gsl_find_namespace(), gsl_get_struct_id(), gsl_instr_validate(), gsl_type_of_var(), new_call(), validate_v_f(), validate_v_i(), validate_v_p(), and validate_v_v().

## ◆ goom_hash_new()

GoomHash * goom_hash_new | ( | void |  | ) |

References NULL, GOOM_HASH::number_of_puts, and GOOM_HASH::root.

Referenced by gsl_declare_external_task(), gsl_declare_task(), gsl_new(), iflow_clean(), iflow_new(), and reset_scanner().

## ◆ goom_hash_number_of_puts()

int goom_hash_number_of_puts | ( | GoomHash * | _this | ) |

References GOOM_HASH::number_of_puts.

## ◆ goom_hash_put()

void goom_hash_put | ( | GoomHash * | gh,
|  | const char * | key,
|  | HashValue | value )

References entry_new(), entry_put(), key, NULL, GOOM_HASH::number_of_puts, and GOOM_HASH::root.

Referenced by goom_hash_put_float(), goom_hash_put_int(), and goom_hash_put_ptr().

## ◆ goom_hash_put_float()

void goom_hash_put_float | ( | GoomHash * | _this,
|  | const char * | key,
|  | float | f )

References HashValue::f, goom_hash_put(), and key.

## ◆ goom_hash_put_int()

void goom_hash_put_int | ( | GoomHash * | _this,
|  | const char * | key,
|  | int | i )

References goom_hash_put(), HashValue::i, and key.

Referenced by gsl_add_struct(), gsl_declare_var(), and gsl_instr_validate().

## ◆ goom_hash_put_ptr()

void goom_hash_put_ptr | ( | GoomHash * | _this,
|  | const char * | key,
|  | void * | ptr )

References goom_hash_put(), key, and HashValue::ptr.

Referenced by gsl_declare_external_task(), gsl_declare_task(), and gsl_declare_var().